import org.simpleedit.*;
import org.simpleedit.vfs.*;

String location = binder.getMap().get("project-location");
location = "file://"+location.replace('\\', '/');

VFSDirectory configFile = null;
try {
	VFSEntry entry = FileSystem.getEntry(location);
	if(entry != null) {
		if(!entry.exists()) {
			configFile = entry.getFileSystem().createDirectory(entry);
		} else if(entry instanceof VFSDirectory) {
			configFile = (VFSDirectory)entry;
		} else {
			// should not happen, need's better handling!
			entry.delete();
			configFile = entry.getFileSystem().createDirectory(entry);
		}
		Registry reg = Registry.getInstance(configFile.getChild("project.sep"));
		reg.put("name", binder.getMap().get("project-name"));
		reg.store();
		binder.getMap().put("configFile", configFile);
	}
} catch(Exception e) {
	e.printStackTrace();
}